com.jscape.inet.gateway.adapter.web.protocol.messages

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.jscape.inet.gateway.adapter.web.protocol.messages.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ErrorCode>

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

  Author:
    Alex Usun

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTITY_ALREADY_EXISTS`
    `ENTITY_IN_USE`
    `ENTITY_NOT_FOUND`
    `ENTITY_OUT_OF_DATE`
    `INTERNAL_ERROR`
    `INVALID_OPERATION_DATA`
    `NOT_AUTHENTICATED`
    `OPERATION_NOT_ALLOWED`
    `PROTOCOL_ERROR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROTOCOL_ERROR

          public static final ErrorCode PROTOCOL_ERROR

    - #### NOT_AUTHENTICATED

          public static final ErrorCode NOT_AUTHENTICATED

    - #### OPERATION_NOT_ALLOWED

          public static final ErrorCode OPERATION_NOT_ALLOWED

    - #### INVALID_OPERATION_DATA

          public static final ErrorCode INVALID_OPERATION_DATA

    - #### ENTITY_NOT_FOUND

          public static final ErrorCode ENTITY_NOT_FOUND

    - #### ENTITY_ALREADY_EXISTS

          public static final ErrorCode ENTITY_ALREADY_EXISTS

    - #### ENTITY_OUT_OF_DATE

          public static final ErrorCode ENTITY_OUT_OF_DATE

    - #### ENTITY_IN_USE

          public static final ErrorCode ENTITY_IN_USE

    - #### INTERNAL_ERROR

          public static final ErrorCode INTERNAL_ERROR

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved